# USER SETTINGS FOR BI_APP_STOP_IF_IDLE TOOL
#
# KEY POINTS: 
#   1. This script is intended to be used by companion script 'BI_app_stop_if_idle.ps1'
#   2. This script must be located in the same folder as script 'BI_app_stop_if_idle.ps1'
#   3. This script is suitable for 'BI_app_stop_if_idle.ps1' versions V3+
#
# Created by jaydeel at ipcamtalk.com

# ================================================
# USER SETTINGS...

# REQUIRED SETTINGS

	# [REQUIRED] ENTER IDLE TIME TO WAIT BEFORE CLOSING THE BLUE IRIS APPLICATION
	# ... units are minutes (default = 30)
	$idle_time_threshold_min = 30

# OPTIONAL SETTINGS

	# TERMINATE OTHER PROCESSES (ALONG WITH BLUE IRIS)

		# [OPTIONAL] OPT-IN TO ALSO KILL OTHER PROCESSES
		# ... Use names that work with the 'Get-Process process_name' command (in a Powershell console)
		# ... Note: entries must be comma delimited
		$kill_other_processes = @(
			#'MyProcess1',
			#'MyProcess2',
			#'MyProcess32'
		)
	
	# POSTING TO THE BLUE IRIS LOGFILE

		# [OPTIONAL] OPT-IN TO POST CUSTOM MESSAGE TO BLUE IRIS LOG
		# ... expecting $false or $true (default = $false)
		$post_to_BI_logfile_flg = $false
		#$post_to_BI_logfile_flg = $true

		# SOME OF THE FOLLOWING ARE [REQUIRED] IF OPTING IN...

			# [REQUIRED] ENTER BLUE WEBSERVER ADDRESS & PORT
			# ... expecting a string like "192.168.1.3:81"
			# ... to use credentials, be sure to uncheck 'Use secure session keys and login page' 
			#     in Blue Iris settings: click Settings > Web server > Advanced
			$bi_webserver = "YOUR_BI_SERVER_ADDRESS:PORT"

			# OPT-IN TO USE CREDENTIALS FOR POSTING TO BLUE IRIS LOGFILE
			# ... expecting $false or $true (default = $false)
			$post_w_creds_flg = $false
			#$post_w_creds_flg = $true

			# ENTER BLUE IRIS WEBSERVER USERNAME & PASSWORD 
			# ... NOTE: USERNAME MUST BE ADMIN
			$bi_user_name = "YOUR_BI_USER_NAME"
			$bi_user_pw = "YOUR_BI_USER_PASSORD"

	# SENDING PUSHOVER NOTIFICATIONS

		# [OPTIONAL] OPT-IN TO SEND PUSHOVER NOTIFICATION
		# ... expecting $false or $true (default = $false)
		$send_po_notification_flg = $false
		#$send_po_notification_flg = $true

		# SOME OF THE FOLLOWING ARE [REQUIRED] IF OPTING IN...

			# [REQUIRED] ENTER PUSHOVER API USER KEY
			# ... https://pushover.net/
			$po_user = "YOUR_API_USER_KEY"

			# [REQUIRED] ENTER PUSHOVER API APPLICATION TOKEN
			# ... TIP: consider adding a 'PowerShell' application to your https://pushover.net/ account
			$po_token = "YOUR_API_APPLICATION_TOKEN"

			# ENTER PUSHOVER MESSAGE PRIORITY
			# ... (integer) -2|-1|0|1|2; -2=lowest, -1=low(silent), 0=normal, 1=high-priority, 2=emergency.
			# ... see https://pushover.net/api#priority
			$po_priority = 0

			# ENTER PUSHOVER SOUND
			# ... blank ("") is default sound
			# ... see https://pushover.net/api#sounds
			$po_sound = ""  # default sound
			#$po_sound = "siren"  # built-in sound
			#$po_sound = "not-kiddin"  # custom sound

			# ENTER PUSHOVER DEVICE(S)
			# ... blank ("") sends to all devices
			# ... may be comma-delimited list.
			# ... see https://pushover.net/api
			$po_device = ""  # all devices
			#$po_device = "galaxy-s21"  # single device
			#$po_device = "galaxy-s21,iPhoneXS"  # multiple devices

			# ENTER PUSHOVER RETRY PARAMETER (SECONDS)
			# ... Required for priority=2 messages (emergency)
			# ... see https://pushover.net/api#priority
			$po_retry = 30

			# ENTER PUSHOVER EXPIRE PARAMETER (SECONDS)
			# ... Required for priority=2 messages (emergency)
			# ... see https://pushover.net/api#priority
			$po_expire = 300

# END USER SETTINGS
# ================================================
